Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QModelIndex Class Reference

The QModelIndex class is used to locate data in a data model. More...

    #include <QModelIndex>

- List of all members, including inherited members

### Public Functions

- QModelIndex ()
- QModelIndex ( const QModelIndex & other )
- ~QModelIndex ()
- QModelIndex child ( int row, int column ) const
- int column () const
- bool isValid () const
- QModelIndex parent () const
- int row () const
- QModelIndex sibling ( int row, int column ) const
- bool operator!= ( const QModelIndex & other ) const
- bool operator== ( const QModelIndex & other ) const

## Detailed Description

The QModelIndex class is used to locate data in a data model.

This class is used as an index into item models derived from QAbstractItemModel. The index is used by item views, delegates, and selection models to locate an item in the model. QModelIndex objects are created by the model.

An invalid model index can be constructed with the zero argument form of the QModelIndex() constructor. This is useful when referring to top-level items in a model.

Model indexes can become invalid over time so they should be used immediately and then discarded. If you need to keep a model index over time use a QPersistentModelIndex.

A model index has a parent(), a row(), and a column(). The parent refers to the model containing the item that corresponds to the model index.

See also Model/View Programming, QPersistentModelIndex, and QAbstractItemModel.

## Member Function Documentation

### QModelIndex::QModelIndex ()

### QModelIndex::QModelIndex ( const QModelIndex & other )

Creates a new model index that is a copy of the other model index.

### QModelIndex::~QModelIndex ()

Destroys the model index.

### QModelIndex QModelIndex::child ( int row, int column ) const

### int QModelIndex::column () const

Returns the column this model index refers to.

### bool QModelIndex::isValid () const

Returns true if this model index is valid; otherwise returns false.

### QModelIndex QModelIndex::parent () const

Return the parent of the model index or QModelIndex() if it has no parent.

### int QModelIndex::row () const

Returns the row this model index refers to.

### QModelIndex QModelIndex::sibling ( int row, int column ) const

### bool QModelIndex::operator!= ( const QModelIndex & other ) const

Returns true if this model index does not refer to the same location as the other model index; otherwise returns false.

### bool QModelIndex::operator== ( const QModelIndex & other ) const

Returns true if this model index refers to the same location as the other model index; otherwise returns false.